ObjectStoreIntegrityCheck (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.bc

## Class ObjectStoreIntegrityCheck

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.bc.ObjectStoreIntegrityCheck

- All Implemented Interfaces:
    ASN1Choice, ASN1Encodable, Encodable

      public class ObjectStoreIntegrityCheck
      extends ASN1Object
      implements ASN1Choice

       ObjectStoreIntegrityCheck ::= CHOICE {
           PbkdMacIntegrityCheck
           [0] EXPLICIT SignatureCheck
       }

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PBKD_MAC_CHECK`
    `static int` | `SIG_CHECK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectStoreIntegrityCheck(PbkdMacIntegrityCheck macIntegrityCheck)`
    `ObjectStoreIntegrityCheck(SignatureCheck signatureCheck)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ObjectStoreIntegrityCheck` | `getInstance(java.lang.Object o)`
    `ASN1Object` | `getIntegrityCheck()`
    `int` | `getType()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PBKD_MAC_CHECK

          public static final int PBKD_MAC_CHECK

      See Also:
        Constant Field Values

    - #### SIG_CHECK

          public static final int SIG_CHECK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ObjectStoreIntegrityCheck

          public ObjectStoreIntegrityCheck(PbkdMacIntegrityCheck macIntegrityCheck)

    - #### ObjectStoreIntegrityCheck

          public ObjectStoreIntegrityCheck(SignatureCheck signatureCheck)

  - ### Method Detail

    - #### getInstance

          public static ObjectStoreIntegrityCheck getInstance(java.lang.Object o)

    - #### getType

          public int getType()

    - #### getIntegrityCheck

          public ASN1Object getIntegrityCheck()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.